#   __ _     _     
#  / _(_)   | |    
# | |_ _ ___| |__  
# |  _| / __| '_ \ 
# | | | \__ \ | | |
# |_| |_|___/_| |_|
# -----------------------------------------------------------------------------
# :: Fish Configuration
# :: https://fishshell.com
# :: Marvin Elsen <contact@marvinelsen.com>
# -----------------------------------------------------------------------------

if command --query brew
    brew shellenv | source
end

set fish_greeting
set EDITOR nvim

if status is-interactive
    fzf --fish | source
    starship init fish | source
end
